Bug 620837 - libvirt leaks one string for each host bridge interface definition that has a non-default delay
libvirt leaks one string for each host bridge interface definition that has a...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Laine Stump
Virtualization Bugs
: RHELNAK
Depends On:
Blocks: 630623
  Show dependency treegraph
 
Reported: 2010-08-03 11:42 EDT by Laine Stump
Modified: 2010-12-28 00:27 EST (History)
6 users (show)

See Also:
Fixed In Version: libvirt-0_8_1-21_el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 630623 (view as bug list)
Environment:
Last Closed: 2010-11-11 09:50:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laine Stump 2010-08-03 11:42:21 EDT
This bug was found by examination of the source. During freeing of the data structure used to hold the definition for host bridge interfaces (those created via the iface-define command), a free of the delay string was inadvertently omitted.
Comment 2 Laine Stump 2010-08-03 11:56:30 EDT
This has been committed upstream 6328dfcb670953c17e6061fae02417f8756726bb

The same patch has also been posted for RHEL6.
Comment 3 RHEL Product and Program Management 2010-08-03 12:07:47 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 4 Dave Allan 2010-08-05 10:17:21 EDT
libvirt-0_8_1-21_el6 has been built in RHEL-6-candidate with the fix.

Dave
Comment 7 releng-rhel@redhat.com 2010-11-11 09:50:39 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.